Skip to main content
`Ctrl`+`K`

# TSAdaptSetTimeStepIncreaseDelay

The number of timesteps to wait after a decrease in the timestep due to failed solver before increasing the time step.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSAdaptSetTimeStepIncreaseDelay(TSAdapt adapt, PetscInt cnt)

Logicially Collective

## Input Parameters

- adapt - adaptive controller context

- cnt - the number of timesteps

## Options Database Key

- -ts_adapt_time_step_increase_delay cnt - number of steps to delay the increase

## Notes

This is to prevent an adaptor from bouncing back and forth between two nearby timesteps. The default is 0.

The successful use of this option is problem dependent

## Developer Notes

There is no theory to support this option

## See Also

TS: Scalable ODE and DAE Solvers, `TSAdapt`

## Level

advanced

## Location

src/ts/adapt/interface/tsadapt.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages